Up

# NSFileVersion class documentation

### Authors

Generated by Debian

Date: Generated at 2025-02-13 06:02:40 +0000

# Software documentation for the NSFileVersion class

## NSFileVersion : NSObject

> Declared in:
>   Foundation/NSFileVersion.h

Availability: MacOS-X 10.7.0
Description forthcoming.
Method summary

- +addVersionOfItemAtURL:withContentsOfURL:options:error:
- +currentVersionOfItemAtURL:
- +otherVersionsOfItemAtURL:
- +removeOtherVersionsOfItemAtURL:error:
- +temporaryDirectoryURLForNewVersionOfItemAtURL:
- +unresolvedConflictVersionsOfItemAtURL:
- +versionOfItemAtURL:forPersistentIdentifier:
- -URL
- -conflict
- -hasLocalContents
- -hasThumbnail
- -isDiscardable
- -isResolved
- -localizedName
- -localizedNameOfSavingComputer
- -modificationDate
- -originatorNameComponents
- -persistentIdentifier
- -removeAndReturnError:
- -replaceItemAtURL:options:error:
- -setDiscardable:
- -setResolved:

### addVersionOfItemAtURL: withContentsOfURL: options: error:

+ (NSFileVersion*) addVersionOfItemAtURL: (NSURL*)url withContentsOfURL: (NSURL*)contentsURL options: (NSFileVersionAddingOptions)options error: (NSError**)outError;
Availability: MacOS-X 10.7.0
Description forthcoming.

### currentVersionOfItemAtURL:

+ (NSFileVersion*) currentVersionOfItemAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### otherVersionsOfItemAtURL:

+ (NSArray*) otherVersionsOfItemAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### removeOtherVersionsOfItemAtURL: error:

+ (BOOL) removeOtherVersionsOfItemAtURL: (NSURL*)url error: (NSError**)outError;
Availability: MacOS-X 10.7.0
Description forthcoming.

### temporaryDirectoryURLForNewVersionOfItemAtURL:

+ (NSURL*) temporaryDirectoryURLForNewVersionOfItemAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### unresolvedConflictVersionsOfItemAtURL:

+ (NSArray*) unresolvedConflictVersionsOfItemAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### versionOfItemAtURL: forPersistentIdentifier:

+ (NSFileVersion*) versionOfItemAtURL: (NSURL*)url forPersistentIdentifier: (id)persistentIdentifier;
Availability: MacOS-X 10.7.0
Description forthcoming.

### URL

- (NSURL*) URL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### conflict

- (BOOL) conflict;
Availability: MacOS-X 10.7.0
Description forthcoming.

### hasLocalContents

- (BOOL) hasLocalContents;
Availability: MacOS-X 10.7.0
Description forthcoming.

### hasThumbnail

- (BOOL) hasThumbnail;
Availability: MacOS-X 10.7.0
Description forthcoming.

### isDiscardable

- (BOOL) isDiscardable;
Availability: MacOS-X 10.7.0
Description forthcoming.

### isResolved

- (BOOL) isResolved;
Availability: MacOS-X 10.7.0
Description forthcoming.

### localizedName

- (NSString*) localizedName;
Availability: MacOS-X 10.7.0
Description forthcoming.

### localizedNameOfSavingComputer

- (NSString*) localizedNameOfSavingComputer;
Availability: MacOS-X 10.7.0
Description forthcoming.

### modificationDate

- (NSDate*) modificationDate;
Availability: MacOS-X 10.7.0
Description forthcoming.

### originatorNameComponents

- (NSPersonNameComponents*) originatorNameComponents;
Availability: MacOS-X 10.7.0
Description forthcoming.

### persistentIdentifier

- (id<NSCoding>) persistentIdentifier;
Availability: MacOS-X 10.7.0
Description forthcoming.

### removeAndReturnError:

- (BOOL) removeAndReturnError: (NSError**)outError;
Availability: MacOS-X 10.7.0
Description forthcoming.

### replaceItemAtURL: options: error:

- (NSURL*) replaceItemAtURL: (NSURL*)url options: (NSFileVersionReplacingOptions)options error: (NSError**)error;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setDiscardable:

- (void) setDiscardable: (BOOL)flag;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setResolved:

- (void) setResolved: (BOOL)flag;
Availability: MacOS-X 10.7.0
Description forthcoming.

Up